package aggtool.metadata;

public class DBMSSpec {
	public String name;
	public boolean hasAtomicity = false;
	public boolean hasConsistency = false;
	public boolean hasIsolation = false;
	public boolean hasDurability = false;
	public boolean hasTimeliness = false;
	
	public DBMSSpec(String n, boolean a, boolean c, boolean i, boolean d, boolean t) {
		name = n;
		hasAtomicity = a;
		hasConsistency = c;
		hasIsolation = i;
		hasDurability = d;
		hasTimeliness = t;
	}
	
	public DBMSSpec(DBMSSpec d) {
		name = d.name;
		hasAtomicity = d.hasAtomicity;
		hasConsistency = d.hasConsistency;
		hasIsolation = d.hasIsolation;
		hasDurability = d.hasDurability;
		hasTimeliness = d.hasTimeliness;
	}
	
	public String toString() {
		return this.name;
	}
}
