package aggtool.metadata;

public class RawDataSpec {

	public String name;
	public int minCard;
	public int maxCard;
	public boolean hasPull;
	public boolean hasPersistent;
	public boolean hasMint;
	public boolean hasMaxt;
	public boolean hasShared;
	public boolean hasSheddable;
	public boolean hasRT;
	public boolean hasAVI;
	public boolean hasHard;
	public boolean hasFirm;
	public boolean hasSoft;
	
	public RawDataSpec(String n, int min, int max, boolean pull, 
			boolean persistent, boolean mint, boolean maxt, boolean shared,
			boolean sheddable, boolean rt, boolean avi, boolean hard, boolean firm, boolean soft) {
		this.name = n;
		this.minCard = min;
		this.maxCard = max;
		this.hasPull = pull;
		this.hasPersistent = persistent;
		this.hasMint = mint;
		this.hasMaxt = maxt;
		this.hasShared = shared;
		this.hasSheddable = sheddable;
		this.hasRT = rt;
		this.hasAVI = avi;
		this.hasHard = hard;
		this.hasFirm = firm;
		this.hasSoft = soft;
	}
	
	public RawDataSpec(String n) {
		this.name = n;
	}
}
