package aggtool.ui;

import java.awt.BorderLayout;
import java.awt.FlowLayout;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTabbedPane;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;

import aggtool.z3.Z3Analyzer;

public class AggToolMainFrame extends JFrame {
	public static Z3Analyzer analyzer = new Z3Analyzer();
	public AggToolMainFrame(String name) {
		super(name);
	}

	public static void main1(String[] args) {

		javax.swing.SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				try {
					// Set cross-platform Java L&F (also called "Metal")
					UIManager.setLookAndFeel(UIManager
							.getSystemLookAndFeelClassName());
				} catch (UnsupportedLookAndFeelException e) {
					// handle exception
				} catch (ClassNotFoundException e) {
					// handle exception
				} catch (InstantiationException e) {
					// handle exception
				} catch (IllegalAccessException e) {
					// handle exception
				}

				// Create a frame
				AggToolMainFrame frame = new AggToolMainFrame("DAPComposer");
				frame.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
				JTabbedPane tabbedPane = new JTabbedPane();
				DAPListPanel dappanel = new DAPListPanel(analyzer);
				//JPanel panel = new JPanel(new BorderLayout());
				//panel.add(scrollPane, BorderLayout.CENTER);
				tabbedPane.addTab("DAP Sepcification", dappanel);
				frame.getContentPane().setLayout(new FlowLayout());
				frame.getContentPane().add(tabbedPane);
				// Display the frame
				frame.pack();
				frame.setVisible(true);
			}

		});
	}

}
