package aggtool.ui;

import java.awt.Dimension;
import java.awt.FlowLayout;

import javax.swing.BoxLayout;
import javax.swing.JCheckBox;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

public class DBMSPanel extends JPanel {

	public JCheckBox cbAtomicity = new JCheckBox("Atomicity");
	public JCheckBox cbConsistency = new JCheckBox("Consistency");
	public JCheckBox cbIsolation = new JCheckBox("Isolation");
	public JCheckBox cbDurability = new JCheckBox("Durability");
	public JCheckBox cbTimeliness = new JCheckBox("Timeliness");
	public JPanel pDbmscontentpanel = new JPanel(new FlowLayout(FlowLayout.LEFT));

	public JTextField txtName = new JTextField();
	
	public DBMSPanel() {
		super();
		initializer();
	}
	
	void initializer() {
		this.setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));

		JPanel pName = new JPanel(new FlowLayout(FlowLayout.LEFT));
		pName.add(new JLabel("DBMS Name: "));
		txtName.setPreferredSize(new Dimension(100, 20));
		pName.add(txtName);
		this.add(pName);
		
		pDbmscontentpanel.add(cbAtomicity);
		pDbmscontentpanel.add(cbConsistency);
		pDbmscontentpanel.add(cbIsolation);
		pDbmscontentpanel.add(cbDurability);
		pDbmscontentpanel.add(cbTimeliness);
		
		this.add(pDbmscontentpanel);
		
	}
}
