package aggtool.ui_old;

import javax.swing.tree.DefaultMutableTreeNode;

import aggtool.metadata.AggNode;

class CustomizedNode extends DefaultMutableTreeNode {
	  public String name;
	  public String type;
	  public String value;
	  public boolean isMandatory;
	  public boolean isMultiple;
	  public boolean isGroup;
	  public boolean isDisabled = false;

	  public CustomizedNode(String name) {
		  super(name);
		  this.name = name;
	  }
	  
	  public void copyAggNode(AggNode anode) {
		  this.name = anode.name;
		  this.type = anode.type;
		  this.value = anode.value;
		  this.isMandatory = anode.isMandatory;
		  this.isMultiple = anode.isMultiple;
		  this.isGroup = anode.isGroup;
	  }
	}