package aggtool.metadata;

import java.util.ArrayList;

import javax.swing.tree.DefaultMutableTreeNode;

public class AggNode   {
	public String name;
	public String type;
	public String value;
	public boolean isMandatory;
	public boolean isMultiple;
	public boolean isGroup;
	public int min_card;
	public int max_card;
	public ArrayList<AggNode> groupmembers;
	public ArrayList<AggNode> children;
	
	public AggNode(String name, String type, String value, boolean isMandatory, 
			boolean isGroup, boolean isMultiple, int mincard, int maxcard, ArrayList<AggNode> groupmembers, ArrayList<AggNode> children) {
		this.name = name;
		this.type = type;
		this.value = value;
		this.isMandatory = isMandatory;
		this.isGroup = isGroup;
		this.groupmembers = groupmembers;
		this.children = children;
		this.isMultiple = isMultiple;
		this.min_card = mincard;
		this.max_card = maxcard;
	}
	
	public AggNode(String name, String type, String value, boolean isMandatory, 
			boolean isGroup, boolean isMultiple, ArrayList<AggNode> groupmembers, ArrayList<AggNode> children) {
		this.name = name;
		this.type = type;
		this.value = value;
		this.isMandatory = isMandatory;
		this.isGroup = isGroup;
		this.groupmembers = groupmembers;
		this.children = children;
		this.isMultiple = isMultiple;
//		if(!isMultiple && isMandatory) {
//			this.min_card = 1;
//			this.max_card = 1;
//		} else if(isMultiple && isMandatory) {
//			this.min_card = 1;
//			this.max_card = 1000;
//		} else if(!isMultiple && !isMandatory) {
//			this.min_card = 0;
//			this.max_card = 1;
//		} else {
//			this.min_card = 0;
//			this.max_card = 1000;
//		}
		this.min_card = -1;
		this.max_card = -1;
		
	}
	
	public AggNode() {
		
	}
	
	public AggNode(String name) {
		  this.name = name;
	  }
	
}
