package aggtool.metadata;

public class AggregatedDataSpec {
	public String name;
	public boolean hasPush;
	public boolean hasDurable;
	public boolean hasShared;
	public boolean hasTTL;
	public boolean hasRT;
	public boolean hasAVI;
	public boolean hasRVI;
	public boolean hasHard;
	public boolean hasFirm;
	public boolean hasSoft;
	
	public AggregatedDataSpec(String n, boolean push, 
			boolean durable, boolean shared,
			boolean ttl, boolean rt, boolean avi, boolean rvi, 
			boolean hard, boolean firm, boolean soft) {
		this.name = n;
		this.hasPush = push;
		this.hasDurable = durable;
		this.hasShared = shared;
		this.hasTTL = ttl;
		this.hasRT = rt;
		this.hasAVI = avi;
		this.hasRVI = rvi;
		this.hasHard = hard;
		this.hasFirm = firm;
		this.hasSoft = soft;
	}
	
	public AggregatedDataSpec(String n) {
		this.name = n;
	}
}
